function file = modify_poly(str_p)
% Modify a .poly file in order to get a matrix  

% Read txt into cell A
fid = fopen(str_p, 'r'); 
fgetl(fid); % row 1   
r2 = fgetl(fid); % row 2
nE = str2num(r2);
nE = nE(1);

i = 1;
tline = fgetl(fid); % row 3
A{i} = tline;
while ischar(tline)
    i = i+1;
    tline = fgetl(fid);
    A{i} = tline;
end
buffer = fread(fid, Inf);

% Write the modified .poly file
if exist('truncated.poly')
   delete('truncated.poly');
end
fid = fopen('truncated.poly', 'w');
fwrite(fid, buffer);  
 

for j = 1:nE
    if A{j+1} == -1
        fprintf(fid,'%s', A{j});
        break
    else
        fprintf(fid,'%s\n', A{j});
    end
end
fclose(fid);